## Create Pipeline `client.Pipelines.NewV1(ctx, params) (*PipelineNewV1Response, error)` **post** `/accounts/{account_id}/pipelines/v1/pipelines` Create a new Pipeline. ### Parameters - `params PipelineNewV1Params` - `AccountID param.Field[string]` Path param: Specifies the public ID of the account. - `Name param.Field[string]` Body param: Specifies the name of the Pipeline. - `Sql param.Field[string]` Body param: Specifies SQL for the Pipeline processing flow. ### Returns - `type PipelineNewV1Response struct{…}` - `ID string` Indicates a unique identifier for this pipeline. - `CreatedAt string` - `ModifiedAt string` - `Name string` Indicates the name of the Pipeline. - `Sql string` Specifies SQL for the Pipeline processing flow. - `Status string` Indicates the current status of the Pipeline. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/pipelines" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) response, err := client.Pipelines.NewV1(context.TODO(), pipelines.PipelineNewV1Params{ AccountID: cloudflare.F("0123105f4ecef8ad9ca31a8372d0c353"), Name: cloudflare.F("my_pipeline"), Sql: cloudflare.F("insert into sink select * from source;"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", response.ID) } ``` #### Response ```json { "result": { "id": "01234567890123457689012345678901", "created_at": "created_at", "modified_at": "modified_at", "name": "my_pipeline", "sql": "insert into sink select * from source;", "status": "status" }, "success": true } ```